package com.bocloud.cmp.model;

import java.util.List;

/**
 * 交换机模型业务类
 *
 * @author weiwei
 */
public class SwitcherModel {
    private String name; // 交换机名称
    private String status;// 状态
    private String type; // 交换机类型
    private Integer portNum; // 端口组数量
    private String switcherVal; // value值
    private List<PortGroupModel> groups;
    private NetworkModel network;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * @return the portNum
     */
    public Integer getPortNum() {
        return portNum;
    }

    /**
     * @param portNum the portNum to set
     */
    public void setPortNum(Integer portNum) {
        this.portNum = portNum;
    }

    /**
     * @return the switcherVal
     */
    public String getSwitcherVal() {
        return switcherVal;
    }

    /**
     * @param switcherVal the switcherVal to set
     */
    public void setSwitcherVal(String switcherVal) {
        this.switcherVal = switcherVal;
    }

    /**
     * @return the groups
     */
    public List<PortGroupModel> getGroups() {
        return groups;
    }

    /**
     * @param groups the groups to set
     */
    public void setGroups(List<PortGroupModel> groups) {
        this.groups = groups;
    }

    /**
     * @return the network
     */
    public NetworkModel getNetwork() {
        return network;
    }

    /**
     * @param network the network to set
     */
    public void setNetwork(NetworkModel network) {
        this.network = network;
    }

    public SwitcherModel() {
        super();
    }

    public SwitcherModel(String name, String status, String type, Integer portNum, String switcherVal,
                         List<PortGroupModel> groups) {
        super();
        this.name = name;
        this.status = status;
        this.type = type;
        this.portNum = portNum;
        this.switcherVal = switcherVal;
        this.groups = groups;
    }
}
